from fastapi import APIRouter, HTTPException, status
from schemas.user import UserCreate
from helpers.user_helpers import create_user

router = APIRouter()

@router.post("/login", status_code=status.HTTP_201_CREATED, response_model=UserCreate)
async def login(user: UserCreate):
    """Create a new user"""
    new_user = create_user(user=user)
    if not new_user:
        raise HTTPException(status_code=400, detail="User could not be created")
    return new_user